Unit tammlr_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc, UtRes_p, AMMLR_p;

function tammlr: String; 

implementation

function tammlr: String;
var
NR,NC,_i :Integer;
P :Array [0..2] of Real;
XN :Array [0..7] of Real;
const
IUT :Array [0..4] of Integer = ( 1,1,1,2,4 );
JUT :Array [0..2] of Integer = ( 2,3,1 );
IB :Array [0..4] of Integer = ( 1,3,4,5,6 );
JB :Array [0..4] of Integer = ( 3,1,2,1,3 );
UNT :Array [0..2] of Real = ( 1.0,1.0,1.0 );
BN :Array [0..4] of Real = ( 1.0,1.0,1.0,1.0,1.0 );
IX :Array [0..4] of Integer = ( 1,3,4,6,9 );
JX :Array [0..7] of Integer = ( 3,1,2,1,2,3,1,2 );
begin
Result := '';

{         LR }

NR := 4;
NC := 3;
AMMLR(IUT,JUT,UNT,IB,JB,BN,NR,NC,IX,JX,XN,P);
Result := Result + Format('%s',[' XN=']);
Result := Result + #$0D#$0A;
for _i:=0 to 7 do
 begin
  Result := Result + Format('%20.16f ',[XN[_i]]);
  if ( ((_i+1) mod 8)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tammlr',Result);  {     tammlr.res }
exit;
end;

end.
